# $Revision: 1.177.2.13 $, $Date: 2007/01/28 22:12:56 $
#
# Conditional build:
%bcond_without	kuickshow		# do not build kuickshow app (omit imlib req)
%bcond_with	protections		# protections against fair use (printing and copying)
%bcond_with	hidden_visibility	# pass '--fvisibility=hidden'
					# & '--fvisibility-inlines-hidden'
					# to g++
#
%define		_state		stable
%define		_minlibsevr	9:%{version}
%define		_minbaseevr	9:%{version}

Summary:	K Desktop Environment - Graphic Applications
Summary(es):	K Desktop Environment - aplicaciones grficas
Summary(pl):	K Desktop Environment - Aplikacje graficzne
Summary(pt_BR):	K Desktop Environment - Aplicaes grficas
Name:		kdegraphics
Version:	3.5.6
Release:	1
Epoch:		9
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	79a1ffb7ae89bede1410411a30be3210
#Patch100:	%{name}-branch.diff
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-allowprint.patch
Patch2:		kde-ac260-lt.patch
BuildRequires:	OpenEXR-devel >= 1.1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	ed
BuildRequires:	fribidi-devel >= 0.10.4
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
%{?with_kuickshow:BuildRequires:	imlib-devel}
BuildRequires:	kdelibs-devel >= %{_minlibsevr}
BuildRequires:	kpathsea
BuildRequires:	lcms-devel
BuildRequires:	libgphoto2-devel
BuildRequires:	libieee1284-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	poppler-qt-devel
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sane-backends-devel
BuildConflicts:	kdegraphics-mrml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Graphic applications for the K Desktop Environment.

Included with this package are:

- Kamera - digital camera support
- KColorEdit - color palette editor
- KColorChooser - color chooser
- KDVI - displays TeX's device independent (.dvi) files,
- KFax - displays fax files,
- KFract - a fractal generator,
- KGhostview - displays postscript (.ps) files,
- KIconedit - icon editor,
- Kooka - a scanning tool
- KPaint - a simple drawing program,
- KRuler - a screen ruler
- KSnapshot - screen capture,
- KuickShow - an image viewer
- KView - displays numerous graphic file formats.

%description -l es
Aplicaciones grficas para KDE.

Incluidos en este paquete:
- KDVI - visualiza archivos TeX's independientes de dispositivo,
- KFax - visualiza archivos de fax,
- KFract - creador de fractal
- KGhostview - visualiza archivos postscript (.ps),
- KPaint - un programa sencillo de dibujo,
- KView - visualiza numerosos formatos de archivos grficos.

%description -l pl
Aplikacje graficzne dla KDE.

Pakiet zawiera programy:

- Kamera - obsuga kamer cyfrowych
- KDVI - przegldarka plikw DVI,
- KColorEdit - edytor palety kolorw
- KColorChooser - wybr koloru
- KFax - program do wywietlania faksw,
- KFract - generator fraktali,
- KGhostview - program do ogldania postscriptu (.ps),
- KIconedit - program do edycji ikon dla KDE,
- KPaint - prosty program do grafiki rastrowej,
- KRuler - linijka ekranowa
- KSnapshot - program do przechwytywania wygldu ekranu,
- KuickShow - przegldarka plikw graficznych.
- KView - przegldarka plikw graficznych.

%description -l pt_BR
Aplicaes grficas para o KDE.

Includos neste pacote:
- KDVI - visualiza arquivos TeX's independentes de dispositivo,
- KFax - visualiza arquivos de fax,
- KFract - gerador de fractal,
- KGhostview - visualiza arquivos postscript (.ps),
- KPaint - um programa simples de desenho,
- KView - visualiza numerosos formatos de arquivos grficos.

%package devel
Summary:	kdegraphics development files
Summary(pl):	Pliki dla programistw kdegraphics
Summary(pt_BR):	Arquivos de incluso para compilao de aplicaes com kdegraphics
Group:		X11/Development/Libraries
Requires:	%{name}-kghostview = %{epoch}:%{version}-%{release}
Requires:	%{name}-kooka = %{epoch}:%{version}-%{release}
Requires:	%{name}-ksvg = %{epoch}:%{version}-%{release}
Requires:	%{name}-kview = %{epoch}:%{version}-%{release}
Requires:	%{name}-kviewshell = %{epoch}:%{version}-%{release}
Requires:	kdelibs-devel >= %{_minlibsevr}

%description devel
kdegraphics development files.

%description devel -l pl
Pliki dla programistw kdegraphics.

%description devel -l pt_BR
Arquivos de incluso para compilao de aplicaes que usem as
bibliotecas do kdegraphics.

%package daemonwatcher
Summary:	KDED Daemon Watcher
Summary(pl):	Stranik demona KDED
Group:		X11/Applications
Requires:	kdelibs >= %{_minlibsevr}
Conflicts:	kdegraphics-mrml < 8:3.1-6

%description daemonwatcher
Starts daemons on demand and restarts them on failure.

%description daemonwatcher -l pl
Uruchamia demony na danie lub restartuje je po awarii.

%package kamera
Summary:	Digital camera support
Summary(pl):	Obsuga kamer cyfrowych
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kamera
kamera is an IO slave and a KControl panel module which allows you to
access folders and images within any digital camera supported by the
upcoming gPhoto2 libraries. If you have a supported camera, you can
start using it with most KDE applications in two easy steps: simply
configure your camera model and port type from a list in KControl,
then start accessing the camera contents with a kamera:/ URL.

%description kamera -l pl
kamera to modu IO slave oraz panelu KControl umoliwiajcy dostp do
folderw i zdj w dowolnym aparacie cyfrowym obsugiwanym przez
biblioteki gPhoto2. Jeli mamy obsugiwany aparat, mona zacz uywa
go w wikszoci aplikacji KDE w dwch krokach: wybra model i port
aparatu z listy w KControl, a nastpnie odwoywa si do zawartoci
aparatu przez URL kamera:/.

%package kcolorchooser
Summary:	Color chooser
Summary(pl):	Program do wybierania kolorw
Group:		X11/Applications/Graphics
Requires:	kdelibs >= %{_minlibsevr}

%description kcolorchooser
Color chooser.

%description kcolorchooser -l pl
Program do wybierania kolorw.

%package kcoloredit
Summary:	Color palette editor
Summary(pl):	Edytor palety kolorw
Summary(pt_BR):	Editor de cores
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kcoloredit
KColorEdit is a palette files editor. It can be used for editing color
palettes and for color choosing and naming.

%description kcoloredit -l pl
KColorEdit to edytor plikw palety kolorw. Moe by uywany do edycji
palet kolorw oraz wybierania i nazywania kolorw.

%description kcoloredit -l pt_BR
Editor de cores do KDE.

%package kdvi
Summary:	KDE DVI viewer
Summary(pl):	Przegldarka plikw DVI dla KDE
Summary(pt_BR):	Programa de exibio de DVIs
Group:		X11/Applications/Graphics
Requires:	%{name}-kviewshell = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}

%description kdvi
KDVI is a plugin for the KViewshell program which allows KViewshell to
display DVI-files (.dvi) which are produced by the TeX typesetting
system. KDVI supports many extensions of the DVI standard, for
instance the inclusion of PostScript graphics or hyperlinks.

%description kdvi -l pl
KDVI to wtyczka dla programu KViewshell umoliwiajca mu ogldanie
plikw DVI (.dvi) stworzonych przez system skadu TeX. KDVI obsuguje
wiele rozszerze standardu DVI, na przykad doczanie grafiki
postscriptowej i hipercza.

%description kdvi -l pt_BR
Programa de exibio de DVIs.

%package kfax
Summary:	KDE Fax viewer
Summary(pl):	Przegldarka faksw dla KDE
Summary(pt_BR):	Programa de visualizao de faxes (formato TIFF)
Group:		X11/Applications/Graphics
Requires:	%{name}-kviewshell = %{epoch}:%{version}-%{release}
Requires:	kdebase-core >= %{_minbaseevr}

%description kfax
KFax is a Fax file viewer capable of displaying and printing all
common fax file formats. In particular the fax files used by popular
the mgetty/sendfax and hylafax fax send and receive packages can be
displayed. The first (or only) page of a "PC-Research"-style (DigiFAX)
files produced by the ghostscript dfaxhigh or dfaxlow drivers can also
be displayed. (who is still using this format?) Input files using any
common fax encoding such as group 3 (1 and 2 dimensional) and group 4
can be displayed. KFax has built in native postscript printing
capabilities.

%description kfax -l pl
KFax to przegldarka plikw faksowych potrafica wywietla i drukowa
wszystkie popularne formaty plikw faksowych. W szczeglnoci mona
wywietla pliki faksw uywane przez pakiety do wysyania i
odbierania faksw mgetty/sendfax oraz hylafax. Mona wywietli take
pierwsz (lub jedyn) stron plikw w stylu "PC-Research" (DigiFAX)
stworzonych przez sterowniki dfaxhigh i dfaxlow z ghostscripta. Pliki
wejciowe mog uywa dowolnego popularnego kodowania, takiego jak G3
(1- i 2-wymiarowego) lub G4. KFax ma wbudowan natywn moliwo
wydruku do postscriptu.

%description kfax -l pt_BR
Programa de visualizao de faxes (formato TIFF).

%package kfile
Summary:	Graphic formats enhanced information
Summary(pl):	Rozszerzone informacje o plikach graficznych
Group:		X11/Applications/Graphics
Requires:	konqueror >= %{version}

%description kfile
This package adds a fold to konqueror "file properties" dialog window
with file enhanced informations.

%description kfile -l pl
Ten pakiet dodaje do okna dialogowego "waciwoci pliku" konquerora
dodatkow zakadk z rozszerzonymi informacjami o pliku.

%package kgamma
Summary:	A monitor calibration tool
Summary(pl):	Narzdzie do kalibracji monitora
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kgamma
A monitor calibration tool.

%description kgamma -l pl
Narzdzie do kalibracji monitora.

%package kghostview
Summary:	KDE Postscript viewer
Summary(pl):	Przegldarka postscriptu dla KDE
Summary(pt_BR):	Programa de visualizao de arquivos Postscript e PDF
Group:		X11/Applications/Graphics
Requires:	ghostscript
Requires:	kdebase-core >= %{_minbaseevr}

%description kghostview
KGhostView displays and prints PostScript (.ps, .eps) and Portable
Document Format (.pdf) files. It a port to KDE of Tim Theisen's
Ghostview program which uses Alladin Ghostscript to view documents
prepared in Adobe's PostScript page description language. PostScript
is the major page description language for printing on UNIX systems
and this application can be used to preview material intended for
printing or for reading documents online.

%description kghostview -l pl
KGhostView wywietla i drukuje pliki w formacie PostScript (.ps, .eps)
oraz Portable Document Format (.pdf). Jest to port KDE programu
GhostView Tima Theisena, uywajcego Alladin Ghostscripta do
przegldania dokumentw przygotowanych w jzyku opisu strony
PostScript Adobe'a. PostScript to gwny jzyk opisu strony uywany do
drukowania w systemach uniksowych, a tej aplikacji mona uywa do
podgldu materiaw przeznaczonych do druku oraz do czytania
dokumentw online.

%description kghostview -l pt_BR
Programa de visualizao de arquivos Postscript e PDF.

%package kiconedit
Summary:	KDE Icon Editor
Summary(pl):	Edytor ikon dla rodowiska KDE
Summary(pt_BR):	Editor de cones
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kiconedit
KDE Icon editor.

%description kiconedit -l pl
Edytor ikon dla KDE.

%description kiconedit -l pt_BR
Editor de cones, lida inclusive com arquivos .ICO.

%package kmrml
Summary:	Advanced Search
Summary(pl):	Zaawansowane wyszukiwanie
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}
Obsoletes:	kdegraphics-mrml

%description kmrml
This package provides graphics files advanced search with file
indexing.

%description kmrml -l pl
Ten pakiet umoliwia zaawansowane wyszukiwanie plikw graficznych z
indeksowaniem plikw.

%package kolourpaint
Summary:	KDE Painter
Summary(pl):	Program graficzny KDE
Summary(pt_BR):	Editor bsico de imagens bitmap
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}
Obsoletes:	kdegraphics-kpaint

%description kolourpaint
A (very) simple painting program for KDE.

%description kolourpaint -l pl
(Bardzo) prosty program do rysowania pod KDE.

%description kolourpaint -l pt_BR
Editor bsico de imagens bitmap.

%package kooka
Summary:	Scanning tool
Summary(pl):	Narzdzie do skanowania
Summary(pt_BR):	Um programa de rasterizao de imagens, baseado no SANE e libkscan
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kooka
Kooka is a KDE application that enables easy scanning using SANE
libraries.

%description kooka -l pl
Kooka to aplikacja KDE umoliwiajca atwe skanowanie przy uyciu
bibliotek SANE.

%description kooka -l pt_BR
Um programa de rasterizao de imagens, baseado no SANE e libkscan.

%package kpdf
Summary:	Kpdf is an xpdf based pdf viewer for KDE
Summary(pl):	Kpdf - program bazujcy na xpdf do przegldania plikw pdf w KDE
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kpdf
Kpdf is an xpdf based pdf viewer for KDE.

%description kpdf -l pl
Program bazujcy na xpdf do przegldania plikw pdf w KDE.

%package kpovmodeler
Summary:	Povary Modeler
Summary(pl):	Modeler Povary
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}
Requires:	povray

%description kpovmodeler
Modeler for POV-Ray scenes.

%description kpovmodeler -l pl
Modeler do scen POV-Raya.

%package kruler
Summary:	KRuler
Summary(pl):	Linijka dla KDE
Summary(pt_BR):	Rgua de pixels para a tela
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kruler
KRuler is a very simple application, with only one aim in life. To
measure distances on your screen.

%description kruler -l pl
KRuler jest prost aplikacj, z tylko jednym celem w yciu: mierzenie
odlegoci na ekranie.

%description kruler -l pt_BR
Rgua de pixels para a tela.

%package ksnapshot
Summary:	KDE Snap Shot
Summary(pl):	Program do przechwytywania ekranu dla KDE
Summary(pt_BR):	Programa de captura de tela
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description ksnapshot
KSnapshot is a simple application for taking screenshots. It is
capable of capturing images of either the whole desktop or just a
single window. The images can then be saved in a variety of formats.

%description ksnapshot -l pl
KSnapshot to prosta aplikacja do robienia zrzutw ekranu. Potrafi
przechwytywa obraz caego pulpitu lub tylko pojedynczego okna. Obrazy
mog by nastpnie zapisane w wielu formatach.

%description ksnapshot -l pt_BR
Programa de captura de tela.

%package ksvg
Summary:	Scalable Vector Graphics for KDE
Summary(pl):	Skalowalna grafika wektorowa (SVG) dla KDE
Group:		X11/Applications/Graphics
Requires:	kdelibs >= %{_minlibsevr}

%description ksvg
KSVG is a KDE implementation of the Scalable Vector Graphics
Specifications.

%description ksvg -l pl
KSVG stanowi implementacj dla KDE specyfikacji skalowalnej grafiki
wektorowej (SVG - Scalable Vector Graphics).

%package kuickshow
Summary:	Image viewer/browser
Summary(pl):	Przegldarka obrazkw
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}
Provides:	kuickshow
Obsoletes:	kuickshow

%description kuickshow
KuickShow is a comfortable image browser/viewer. It displays a
filebrowser where you can select images which are then shown. The
following image formats are supported: jpg, gif, tiff, png, bmp, psd,
xpm, xbm, eim. Images can be displayed either in their own window, as
large as the image, or fullscreen.

%description kuickshow -l pl
KuickShow to wygodna przegldarka obrazkw. Wywietla przegldark
plikw, w ktrej mona wybiera obrazki do pokazania. Obsugiwane s
nastpujce formaty obrazkw: jpg, gif, tiff, png, bmp, psd, xpm, xbm,
eim. Obrazki mog by wywietlane w swoim oknie o rozmiarze obrazka
lub na penym ekranie.

%package kview
Summary:	KDE graphics file viewer
Summary(pl):	Przegldarka plikw graficznych dla KDE
Summary(pt_BR):	Visualizador de imagens
Group:		X11/Applications/Graphics
Requires:	kdebase-core >= %{_minbaseevr}

%description kview
KView is an image viewer for the KDE desktop. You can view graphics of
many different formats such as PostScript, TIFF etc. By saving your
files in a different format than the original you can easily convert
images to other graphics formats. In addition, KView provides some
nice little features for doing simple image processing, like
stretching/shrinking, rotation and filtering. You can tile your images
directly onto the desktop as a background picture, or arrange them in
a little slideshow.

%description kview -l pl
KView to przegldarka plikw graficznych dla KDE. Pozwala oglda
grafik w wielu rnych formatach, takich jak PostScript, TIFF itd.
Zapisujc pliki w innym formacie ni oryginalny mona atwo
przekonwertowa obrazki do innych formatw graficznych. Ponadto KView
dostarcza pewnych moliwoci prostej obrbki obrazu, takich jak
rozciganie/zmniejszanie, obracanie i filtrowanie. Mona umieszcza
obrazki bezporednio na pulpicie jako to lub czy je w przegld
slajdw.

%description kview -l pt_BR
Visualizador de imagens poderoso para KDE.

%package kviewshell
Summary:	KDE generic framework for graphics viewers
Summary(pl):	Szkielet dla przegldarek grafiki
Group:		X11/Applications/Graphics
Requires:	kdelibs >= %{_minlibsevr}
Conflicts:	kdegraphics-kview < 9:3.2.90.040514

%description kviewshell
KDE generic framework for graphics viewers allowing them to be
embedded in KDE applications.

%description kviewshell -l pl
Szkielet KDE dla przegldarek grafiki pozwala na zagniednie w
aplikacjach KDE.

%prep
%setup -q
#%patch100 -p0
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Graphics;Viewer;/' \
	kdvi/kdvi.desktop \
	kfax/kfax.desktop \
	kview/kview.desktop \
	kuickshow/src/kuickshow.desktop \
	kghostview/kghostview.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Graphics;Viewer;PDFViewer;/' \
	kpdf/shell/kpdf.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Graphics;Scanning;/' \
	kooka/kooka.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Graphics;/' \
	kcoloredit/kcolorchooser.desktop \
	kcoloredit/kcoloredit.desktop \
	ksnapshot/ksnapshot.desktop \
	kruler/kruler.desktop \
	kolourpaint/kolourpaint.desktop \
	kiconedit/kiconedit.desktop
%{__sed} -i -e 's/Categories=.*/Categories=Qt;KDE;Graphics;/' \
	kpovmodeler/kpovmodeler.desktop
for f in `find . -name *.desktop`; do
	if grep -q '\[ven\]' $f; then
		sed -i -e 's/\[ven\]/[ve]/' $f
	fi
done

%build
cp %{_datadir}/automake/config.sub admin

%{__make} -f admin/Makefile.common cvs

%if %{without kuickshow}
export DO_NOT_COMPILE="$DO_NOT_COMPILE kuickshow"
%endif

%configure \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
	--enable-kpdf-drm=%{!?with_protections:no}%{?with_protections:yes} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
rm -rf *.lang

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang kamera	--with-kde
%find_lang kcoloredit	--with-kde
%find_lang kgamma	--with-kde
%find_lang kdvi		--with-kde
%find_lang kghostview	--with-kde
%find_lang kiconedit	--with-kde
%find_lang kolourpaint	--with-kde
%find_lang kooka	--with-kde
%find_lang kpdf		--with-kde
%find_lang kpovmodeler	--with-kde
%find_lang kruler	--with-kde
%find_lang ksnapshot	--with-kde
%find_lang kuickshow	--with-kde
%find_lang kview	--with-kde

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/kruler.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post	kghostview	-p /sbin/ldconfig
%postun	kghostview	-p /sbin/ldconfig

%post	kooka		-p /sbin/ldconfig
%postun	kooka		-p /sbin/ldconfig

%post	ksvg		-p /sbin/ldconfig
%postun	ksvg		-p /sbin/ldconfig

%post	kview		-p /sbin/ldconfig
%postun	kview		-p /sbin/ldconfig

%post	kviewshell	-p /sbin/ldconfig
%postun	kviewshell	-p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkscan.so
%attr(755,root,root) %{_libdir}/libkmultipage.so
%attr(755,root,root) %{_libdir}/libkimageviewer.so
%attr(755,root,root) %{_libdir}/libksvg.so
%attr(755,root,root) %{_libdir}/libtext2path.so
%{_includedir}/*.h
%{_includedir}/dom/*
%{_includedir}/ksvg
%{_includedir}/kviewshell
%{_includedir}/libtext2path-0.1

%files daemonwatcher
%defattr(644,root,root,755)
%{_libdir}/kde3/kded_daemonwatcher.la
%attr(755,root,root) %{_libdir}/kde3/kded_daemonwatcher.so
%{_datadir}/services/kded/daemonwatcher.desktop

%files kamera -f kamera.lang
%defattr(644,root,root,755)
%{_libdir}/kde3/kcm_kamera.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kamera.so
%{_libdir}/kde3/kio_kamera.la
%attr(755,root,root) %{_libdir}/kde3/kio_kamera.so
%{_datadir}/services/camera.protocol
%{_desktopdir}/kde/kamera.desktop
%{_iconsdir}/*/*/*/camera*

%files kcolorchooser
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcolorchooser
%{_desktopdir}/kde/kcolorchooser.desktop
%{_iconsdir}/[!l]*/*/*/kcolorchooser.*

%files kcoloredit -f kcoloredit.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcoloredit
%{_datadir}/apps/kcoloredit
%{_desktopdir}/kde/kcoloredit.desktop
%{_iconsdir}/[!l]*/*/*/kcoloredit.*

%files kdvi -f kdvi.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdvi
%{_libdir}/kde3/kdvipart.la
%attr(755,root,root) %{_libdir}/kde3/kdvipart.so
%{_datadir}/apps/kdvi
%{_datadir}/config.kcfg/kdvi.kcfg
%{_datadir}/services/kdvimultipage.desktop
%{_desktopdir}/kde/kdvi.desktop
%{_iconsdir}/*/*/*/kdvi.*

%files kfax
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kfax
%attr(755,root,root) %{_bindir}/kfaxview
%{_libdir}/libkfaximage.la
%attr(755,root,root) %{_libdir}/libkfaximage.so
%{_libdir}/kde3/kfaxviewpart.la
%attr(755,root,root) %{_libdir}/kde3/kfaxviewpart.so
%{_datadir}/apps/kfax/
%{_datadir}/apps/kfaxview
%{_datadir}/services/kfaxmultipage.desktop
%{_datadir}/services/kfaxmultipage_tiff.desktop
%{_desktopdir}/kde/kfax.desktop
%{_desktopdir}/kde/kfaxview.desktop
%{_iconsdir}/*/*/*/kfax.*
%{_iconsdir}/[!l]*/*/*/kfaxview.*

%files kfile
%defattr(644,root,root,755)
%{_libdir}/kde3/gsthumbnail.la
%attr(755,root,root) %{_libdir}/kde3/gsthumbnail.so
%{_libdir}/kde3/kfile_*.la
%attr(755,root,root) %{_libdir}/kde3/kfile_*.so
%{_datadir}/services/gsthumbnail.desktop
%{_datadir}/services/kfile_*.desktop

%files kgamma -f kgamma.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xf86gammacfg
%{_libdir}/kde3/kcm_kgamma.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kgamma.so
%{_datadir}/apps/kgamma
%{_desktopdir}/kde/kgamma.desktop
%{_iconsdir}/*/*/apps/kgamma.png

%files kghostview -f kghostview.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kghostview
%{_libdir}/libkghostviewlib.la
%attr(755,root,root) %{_libdir}/libkghostviewlib.so.*.*.*
%{_libdir}/kde3/libkghostviewpart.la
%attr(755,root,root) %{_libdir}/kde3/libkghostviewpart.so
%{_datadir}/apps/kconf_update/kghostview.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/update-to-xt-names.pl
%{_datadir}/apps/kghostview
%{_datadir}/config.kcfg/kghostview.kcfg
%{_datadir}/services/kghostview_part.desktop
%{_desktopdir}/kde/kghostview.desktop
%{_iconsdir}/*/*/*/kghostview.*

%files kiconedit -f kiconedit.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kiconedit
%{_datadir}/apps/kiconedit
%{_desktopdir}/kde/kiconedit.desktop
%{_iconsdir}/*/*/*/kiconedit.*

%files kmrml
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mrmlsearch
%{_libdir}/libkdeinit_mrmlsearch.la
%attr(755,root,root) %{_libdir}/libkdeinit_mrmlsearch.so
%{_libdir}/kde3/kcm_kmrml.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kmrml.so
%{_libdir}/kde3/kio_mrml.la
%attr(755,root,root) %{_libdir}/kde3/kio_mrml.so
%{_libdir}/kde3/libkmrmlpart.la
%attr(755,root,root) %{_libdir}/kde3/libkmrmlpart.so
%{_libdir}/kde3/mrmlsearch.la
%attr(755,root,root) %{_libdir}/kde3/mrmlsearch.so
%{_datadir}/mimelnk/text/mrml.desktop
%{_datadir}/services/mrml.protocol
%{_datadir}/services/mrml_part.desktop
%{_datadir}/apps/konqueror/servicemenus/mrml-servicemenu.desktop
%{_desktopdir}/kde/kcmkmrml.desktop

%files kolourpaint -f kolourpaint.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kolourpaint
%{_datadir}/apps/kolourpaint
%{_desktopdir}/kde/kolourpaint.desktop
%{_iconsdir}/[!l]*/*/*/kolourpaint.*

%files kooka -f kooka.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kooka
%{_libdir}/libkscan.la
%attr(755,root,root) %{_libdir}/libkscan.so.*.*.*
%{_datadir}/apps/kooka
%{_datadir}/config/kookarc
%{_datadir}/services/scanservice.desktop
%{_desktopdir}/kde/kooka.desktop
%{_iconsdir}/*/*/actions/palette*

%files kpdf -f kpdf.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kpdf
%{_libdir}/kde3/libkpdfpart.la
%attr(755,root,root) %{_libdir}/kde3/libkpdfpart.so
%{_datadir}/apps/kpdf
%{_datadir}/apps/kpdfpart
%{_datadir}/config.kcfg/kpdf.kcfg
%{_datadir}/services/kpdf_part.desktop
%{_desktopdir}/kde/kpdf.desktop
%{_iconsdir}/[!l]*/*/*/kpdf.*

%files kpovmodeler -f kpovmodeler.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kpovmodeler
%{_libdir}/libkpovmodeler.la
%attr(755,root,root) %{_libdir}/libkpovmodeler.so.*
%{_libdir}/kde3/libkpovmodelerpart.la
%attr(755,root,root) %{_libdir}/kde3/libkpovmodelerpart.so*
%{_datadir}/apps/kpovmodeler
%{_desktopdir}/kde/kpovmodeler.desktop
%{_iconsdir}/[!l]*/*/*/kpovmodeler*

%files kruler -f kruler.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kruler
%{_datadir}/apps/kruler
%{_desktopdir}/kde/kruler.desktop
%{_iconsdir}/*/*/apps/kruler.*

%files ksnapshot -f ksnapshot.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksnapshot
%{_desktopdir}/kde/ksnapshot.desktop
%{_iconsdir}/*/*/apps/ksnapshot.*

%files ksvg
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/printnodetest
%attr(755,root,root) %{_bindir}/svgdisplay
%{_libdir}/libksvg.la
%attr(755,root,root) %{_libdir}/libksvg.so.*.*.*
%{_libdir}/libtext2path.la
%attr(755,root,root) %{_libdir}/libtext2path.so.*.*.*
%{_libdir}/kde3/libksvgplugin.la
%attr(755,root,root) %{_libdir}/kde3/libksvgplugin.so
%{_libdir}/kde3/libksvgrendererlibart.la
%attr(755,root,root) %{_libdir}/kde3/libksvgrendererlibart.so
%{_libdir}/kde3/svgthumbnail.la
%attr(755,root,root) %{_libdir}/kde3/svgthumbnail.so
%{_datadir}/apps/ksvg
%{_datadir}/services/ksvglibartcanvas.desktop
%{_datadir}/services/ksvgplugin.desktop
%{_datadir}/services/svgthumbnail.desktop
%{_datadir}/servicetypes/ksvgrenderer.desktop

%if %{with kuickshow}
%files kuickshow -f kuickshow.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kuickshow
%{_libdir}/libkdeinit_kuickshow.la
%attr(755,root,root) %{_libdir}/libkdeinit_kuickshow.so
%{_libdir}/kde3/kuickshow.la
%attr(755,root,root) %{_libdir}/kde3/kuickshow.so
%{_datadir}/apps/kuickshow
%{_desktopdir}/kde/kuickshow.desktop
%{_iconsdir}/[!l]*/*/*/kuickshow.*
%endif

%files kview -f kview.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kview
%{_libdir}/libkdeinit_kview.la
%attr(755,root,root) %{_libdir}/libkdeinit_kview.so
%{_libdir}/libkimageviewer.la
%attr(755,root,root) %{_libdir}/libkimageviewer.so.*.*.*
%{_libdir}/kde3/kcm_kviewcanvasconfig.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kviewcanvasconfig.so
%{_libdir}/kde3/kcm_kviewgeneralconfig.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kviewgeneralconfig.so
%{_libdir}/kde3/kcm_kviewpluginsconfig.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kviewpluginsconfig.so
%{_libdir}/kde3/kcm_kviewviewerpluginsconfig.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kviewviewerpluginsconfig.so
%{_libdir}/kde3/kview.la
%attr(755,root,root) %{_libdir}/kde3/kview.so
%{_libdir}/kde3/kview_browserplugin.la
%attr(755,root,root) %{_libdir}/kde3/kview_browserplugin.so
%{_libdir}/kde3/kview_effectsplugin.la
%attr(755,root,root) %{_libdir}/kde3/kview_effectsplugin.so
%{_libdir}/kde3/kview_presenterplugin.la
%attr(755,root,root) %{_libdir}/kde3/kview_presenterplugin.so
%{_libdir}/kde3/kview_scannerplugin.la
%attr(755,root,root) %{_libdir}/kde3/kview_scannerplugin.so
%{_libdir}/kde3/libkviewcanvas.la
%attr(755,root,root) %{_libdir}/kde3/libkviewcanvas.so
%{_libdir}/kde3/libkviewviewer.la
%attr(755,root,root) %{_libdir}/kde3/libkviewviewer.so
%{_libdir}/kde3/libphotobook.la
%attr(755,root,root) %{_libdir}/kde3/libphotobook.so
%{_datadir}/apps/kview
%{_datadir}/apps/kviewviewer
%{_datadir}/apps/photobook
%{_datadir}/services/kconfiguredialog/kviewcanvasconfig.desktop
%{_datadir}/services/kconfiguredialog/kviewgeneralconfig.desktop
%{_datadir}/services/kconfiguredialog/kviewpluginsconfig.desktop
#%{_datadir}/services/kconfiguredialog/kviewpresenterconfig.desktop
%{_datadir}/services/kconfiguredialog/kviewviewerpluginsconfig.desktop
%{_datadir}/services/kviewcanvas.desktop
%{_datadir}/services/kviewviewer.desktop
%{_datadir}/servicetypes/kimageviewer.desktop
%{_datadir}/servicetypes/kimageviewercanvas.desktop
%{_datadir}/services/photobook.desktop
%{_desktopdir}/kde/kview.desktop
%{_iconsdir}/*/*/*/kview.png
%{_iconsdir}/crystalsvg/*/apps/photobook.png

%files kviewshell
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kviewshell
%{_libdir}/libkmultipage.la
%attr(755,root,root) %{_libdir}/libkmultipage.so.*.*.*
%{_libdir}/kde3/emptymultipagepart.la
%attr(755,root,root) %{_libdir}/kde3/emptymultipagepart.so
%{_libdir}/kde3/kviewerpart.la
%attr(755,root,root) %{_libdir}/kde3/kviewerpart.so
%{_datadir}/apps/kviewerpart
%{_datadir}/apps/kviewshell
%{_datadir}/config.kcfg/kviewshell.kcfg
%{_datadir}/services/emptymultipage.desktop
%{_datadir}/servicetypes/kmultipage.desktop
%{_iconsdir}/*/*/*/kviewshell.png
# New
%{_libdir}/kde3/djvuviewpart.la
%attr(755,root,root) %{_libdir}/kde3/djvuviewpart.so
%{_libdir}/kde3/libdjvu.la
%attr(755,root,root) %{_libdir}/kde3/libdjvu.so
%{_datadir}/apps/djvumultipage.rc
%{_datadir}/config.kcfg/djvumultipage.kcfg
%{_datadir}/services/djvumultipage.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdegraphics.spec,v $
Revision 1.177.2.13  2007/01/28 22:12:56  glen
- rel 1

Revision 1.177.2.12  2007/01/19 02:00:40  shadzik
- removed patch3 - it's too buggy even when fixed
- sorry for the mess I did here

Revision 1.177.2.11  2007/01/18 21:16:51  shadzik
- add patch3
- remove obsolete unsermake BR
- rel 0.2

Revision 1.177.2.10  2007/01/18 11:42:36  glen
- KDE 3.5.6

Revision 1.177.2.9  2006/11/26 22:05:14  glen
- reverted (bogus) (rather ldconfig is missing from somewhere)

Revision 1.177.2.8  2006/11/26 21:56:19  shadzik
- kuickshow requires libungif.so.4

Revision 1.177.2.7  2006/11/03 11:06:55  glen
- rel 1

Revision 1.177.2.6  2006/10/10 22:17:28  glen
- KDE 3.5.5

Revision 1.177.2.5  2006/07/31 16:00:48  glen
- 3.5.4

Revision 1.177.2.4  2006/05/29 06:34:18  glen
- KDE 3.5.3

Revision 1.177.2.3  2006/05/19 13:27:20  baggins
- poppler-qt soname changed, so release 4 for rebuild kdegraphics-kfile.

Revision 1.177.2.2  2006/04/07 08:05:30  glen
- ACize#2, rel 3

Revision 1.177.2.1  2006/04/06 14:01:52  glen
- ACize

Revision 1.177  2006/04/06 14:01:25  glen
- cleanups, adapter

Revision 1.176  2006/04/03 16:31:49  arekm
- apply branch patch, add BR for gamma

Revision 1.175  2006/04/01 17:00:41  glen
- unify macros

Revision 1.174  2006/03/28 23:24:49  glen
- 3.5.2

Revision 1.173  2006/03/01 12:31:10  pluto
- poppler-qt soname changed, so release 4 for rebuild kdegraphics-kfile.

Revision 1.172  2006/02/28 19:28:43  pluto
- hidden visibilite enabled for Th.

Revision 1.171  2006/02/03 07:15:47  arekm
- rel 3; fixes CVE-2006-0301

Revision 1.170  2006/01/29 21:23:57  adgor
- kuickshow bcond

Revision 1.169  2006/01/25 09:39:30  pluto
- disable all-in-one compilation.

Revision 1.168  2006/01/24 21:56:55  arekm
- fix overwriting issue in kpdf

Revision 1.167  2006/01/22 21:09:29  arekm
- updated to 3.5.1

Revision 1.166  2006/01/13 18:28:55  qboosh
- removed lockdev-devel BR (it was libgphoto-devel dependency)
- release 6 (rebuild with libgphoto2 using baudboy)

Revision 1.165  2005/12/14 10:29:38  arekm
- rel 5; next round of xpdf fixes

Revision 1.164  2005/12/10 12:43:48  adgor
- hidden_visibility bcond

Revision 1.163  2005/12/09 07:32:20  arekm
- rel 4; upstream fixes including CAN-2005-3193

Revision 1.162  2005/12/05 17:35:25  arekm
- rel 3; allow printing of any doc

Revision 1.161  2005/11/30 10:14:35  adgor
- BR poppler-qt-devel

Revision 1.160  2005/11/30 09:24:26  arekm
- rel 2; disable drm protections

Revision 1.159  2005/11/24 08:17:56  arekm
- rel 1

Revision 1.158  2005/11/16 09:09:50  adgor
- Fixed %_kdever

Revision 1.157  2005/11/16 07:21:44  adgor
- Almost 3.5.0

Revision 1.156  2005/10/30 12:22:43  arekm
- rel 2

Revision 1.155  2005/10/10 11:18:11  arekm
- rel 1

Revision 1.154  2005/10/07 21:34:50  arekm
- up to 3.4.3

Revision 1.153  2005/09/22 12:37:02  qboosh
- removed BR resmgr-devel (was caused by libsane, fixed)
- added ui-fix patch (needed for qt 3.3.5)

Revision 1.152  2005/09/21 01:50:35  wolvverine
- add BR

Revision 1.151  2005/08/02 06:11:14  arekm
- readd branch patch

Revision 1.150  2005/07/31 12:08:38  arekm
- forgot to rel 1

Revision 1.149  2005/07/21 20:21:39  arekm
- up to 3.4.2

Revision 1.148  2005/06/01 06:09:08  arekm
- rel 1

Revision 1.147  2005/05/26 11:10:30  arekm
- up to 3.4.1

Revision 1.146  2005/04/16 14:40:02  djurban
- rel.2 after upgrading branch diff to fix type1 loations

Revision 1.145  2005/03/31 18:43:20  djurban
- branch diff, protections bcond, forgot to commit this

Revision 1.144  2005/03/26 17:15:53  qboosh
- sorted BRs, cleanups

Revision 1.143  2005/03/26 16:56:33  arekm
- rel 1; add missing requires (mkochano)

Revision 1.142  2005/03/18 21:39:24  arekm
- merge fixes.

Revision 1.141  2005/03/16 18:30:23  arekm
- on ftp it sits in 3.4 dir

Revision 1.140  2005/03/16 17:56:51  arekm
- merge from DEVEL

Revision 1.139  2005/03/16 17:55:03  arekm
- merged from DEVEL
